Upcoming Maintenance Alert:

The UBNT Community will be upgraded at 5pm MDT on April 25th. During this time the community forums will be set to read-only status.

Learn more

×
Reply
Ubiquiti Employee
Posts: 511
Registered: ‎05-24-2016
Kudos: 278
Solutions: 64

IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

Thanks to @hdnhdn@adamjb and others from this thread we identified critical bug in FW 1.9.7 + 1.9.7.betaX. When you have FW 1.9.1.1-unms or 1.9.7.alphaX and your device is connected to UNMS during your upgrade to 1.9.7 or (1.9.7.betaX) you can lose your device configuration. Device file config.boot could be cleaned (but device confguration will remain in device memory). Any subsequent device restart/upgrade will lead to loosing your device configuration completely.

 

There is a bug in device boot where in special order of events, network state and device configuration could UNMS connector prematurely access device configuration. We are fixing it right now and fix will be included in FW 1.9.7+hotfix.1 which will be released according to tests around 4.8.2017. We will bundle this FW to UNMS 0.9.1 which we will release day after. We are really sorry if you were affected with this issue. If you did this update, please check content of your /config/config.boot file. If this file doesn't include your configuration and there are only few lines with metadata you can enter CLI config mode and run save operation which will overwrite corrupted config.boot with working copy from memory.

Emerging Member
Posts: 81
Registered: ‎05-24-2014
Kudos: 22

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

Running save in configuration mode is not enough. I ran save on all of my devices, and some of them still lost their config on next reboot.
Ubiquiti Employee
Posts: 511
Registered: ‎05-24-2016
Kudos: 278
Solutions: 64

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

@adamjbWere they successfully connected to UNMS? Problem is key exchange between UNMS and device which is performed during device boot.

Emerging Member
Posts: 81
Registered: ‎05-24-2014
Kudos: 22

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

Yes, they were successfully connected before the reboot.
Established Member
Posts: 872
Registered: ‎10-12-2012
Kudos: 849
Solutions: 39
Contributions: 1

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

[ Edited ]

Does this affect all Edgerouter models or just some?

 

**EDIT** nevermind, i just logged into an er-pro and checked and see that nothing was there. Yikes!

 

Will doing a save fix the issue or will it re-appear again later?

Emerging Member
Posts: 81
Registered: ‎05-24-2014
Kudos: 22

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

@BloozeIt reappeared for me after a save on some of my routers.

Established Member
Posts: 872
Registered: ‎10-12-2012
Kudos: 849
Solutions: 39
Contributions: 1

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

Was it after a reboot that it appeared? Or just during normal operation?

Emerging Member
Posts: 81
Registered: ‎05-24-2014
Kudos: 22

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

After a reboot

Established Member
Posts: 872
Registered: ‎10-12-2012
Kudos: 849
Solutions: 39
Contributions: 1

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

So as long as we dont reboot twice without a save before the fix is released, we should be ok. I'll have to really keep an eye, since some of these are in another state with no technical users at all.
Emerging Member
Posts: 95
Registered: ‎12-10-2014
Kudos: 33
Solutions: 2

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

thanks for the notice.

i just upgraded one er-x-sfp from 1.9.1.1 to 1.10.0alpha1 without issues and wanted to upgrade all routers in our network.

now i noticed on 7 (3 are important as uplink) routers we have 1.9.1.1unms running, all the others have v1.9.7+hotfix.2 running.

 

i understand that the reasons mentioned are worth removing 1.9.1.1unms but could you please provide it again so i may try an upgrade locally from 1.9.1.1unms to 1.10.0alpha1?

would like to go sure working upgrade before upgrading uplink sites remotely.

 

thanks.

Ubiquiti Employee
Posts: 286
Registered: ‎01-26-2017
Kudos: 66
Solutions: 27
Emerging Member
Posts: 95
Registered: ‎12-10-2014
Kudos: 33
Solutions: 2

Re: IMPORTANT NOTICE: upgrade from 1.9.1.1-unms/1.9.7.alphaX to 1.9.7 can corrupt device config

thanks!

i tested upgrade 1.9.1.1unms -> 1.10.0alpha1 and seem to work fine on a local er-x-sfp router.

did the same on a (less important) remote site, worked also without issues, running 21hous stable atm, so i can confirm this is working well.

 

Reply